'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');

/** @group Errors */
class TaskError extends Error {
  constructor(...args) {
    super(...args);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'TaskError');
  }
}

/** @group Errors */
class TaskIsAlreadyRunningError extends TaskError {
  constructor() {
    const message = `Trying to re-run a task that hasn't completed yet. ` + `Ensure the task has completed using "await" before trying to run it again.`;
    super(message);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'TaskIsAlreadyRunningError');
  }
}

exports.TaskError = TaskError;
exports.TaskIsAlreadyRunningError = TaskIsAlreadyRunningError;
//# sourceMappingURL=errors.cjs.map
