import { defineProperty as _defineProperty } from './_virtual/_rollupPluginBabelHelpers.mjs';

/** @group Errors */
class TaskError extends Error {
  constructor(...args) {
    super(...args);
    _defineProperty(this, "name", 'TaskError');
  }
}

/** @group Errors */
class TaskIsAlreadyRunningError extends TaskError {
  constructor() {
    const message = `Trying to re-run a task that hasn't completed yet. ` + `Ensure the task has completed using "await" before trying to run it again.`;
    super(message);
    _defineProperty(this, "name", 'TaskIsAlreadyRunningError');
  }
}

export { TaskError, TaskIsAlreadyRunningError };
//# sourceMappingURL=errors.mjs.map
